Fontconfig Developers Reference, Version 2.2.2
Prev |  | Next

# FcStrCopyFilename

## Name

FcStrCopyFilename -- copy a string, expanding '~'

## Synopsis

    #include <fontconfig.h>

``FcChar8 * FcStrCopyFilename`(const FcChar8 *s);`

## Description

Just like FcStrCopy except that it converts any leading '~' characters in s to the value of the HOME environment variable. Returns NULL if '~' is present in s and HOME is unset.

## Version

Fontconfig version 2.2.2

Prev | Home | Next
FcStrCopy | Up | FcStrCmpIgnoreCase